package emris.test18;

import net.minecraft.block.Block;
import net.minecraft.client.resources.model.ModelBakery;
import net.minecraft.item.Item;
import net.minecraftforge.fml.common.registry.GameRegistry;
import emris.test18.API.Constant.Global;
import emris.test18.Blocks.Terrain.BlockDirt;
import emris.test18.Items.ItemBlocks.ItemSoil;

public class T18Blocks
{
	public static Block Dirt;

	public static void LoadBlocks()
	{
		System.out.println(new StringBuilder().append("[Test 1.8] Loading Blocks").toString());

		Dirt = new BlockDirt().setHardness(2F).setStepSound(Block.soundTypeGravel).setUnlocalizedName("dirt");
	}

	public static void RegisterBlocks()
	{
		System.out.println(new StringBuilder().append("[Test 1.8] Registering Blocks").toString());

		GameRegistry.registerBlock(Dirt, ItemSoil.class, "Dirt");
		for(String name : Global.STONE_ALL)
		{
			ModelBakery.addVariantName(Item.getItemFromBlock(Dirt), Reference.ModID + ":" + name);
		}
	}
}
